one-user-entity-access-get-many¶
Source¶
Repository:
jef-systems/jef-one-backendSource Run ID:
25256246879Source SHA:
944e655286e0c87c6e611453ffc46df43159a83dModule:
oneDocumentation Scope:
getLambda:
jef-one-get-16
Endpoint¶
API Name:
jef-oneAction Name:
getMethod:
GETScope Label:
GETResource Path:
/one-user-entity-access-get-manyComplete Endpoint:
https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-user-entity-access-get-manyLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-get-16curl payload mode:
query_string
API Gateway Description¶
Function: jef-one-get-16
API Name: jef-one
Action: get
Method: GET
Resource Path: /one-user-entity-access-get-many
Table:
- table: jef-one-user-entity-access
- operation: get-many
Payload Schema:
- gsi_1_pk: entity_number
Payload Example:
- gsi_1_pk: ENTITY-001
Response Schema:
- exists: boolean
- message: string
- items: [{"employee_number":"string","entity_number":"string","is_active":"boolean"}]
Request Payload¶
{
"gsi_1_pk": "entity_number"
}
Response¶
{
"exists": "boolean",
"message": "string",
"items": "[{\"employee_number\":\"string\",\"entity_number\":\"string\",\"is_active\":\"boolean\"}]"
}
CMD curl¶
curl "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-user-entity-access-get-many?gsi_1_pk=ENTITY-001"
PowerShell curl¶
curl.exe "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-user-entity-access-get-many?gsi_1_pk=ENTITY-001"